"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ContactSchema = exports.Contact = void 0;
const mongoose_1 = require("@nestjs/mongoose");
const contact_type_enum_1 = require("../../enums/contact-type.enum");
const identifable_schema_1 = require("../identifable.schema");
let Contact = class Contact extends identifable_schema_1.Identifable {
};
exports.Contact = Contact;
__decorate([
    (0, mongoose_1.Prop)({ required: true, enum: contact_type_enum_1.ContactType, type: String }),
    __metadata("design:type", String)
], Contact.prototype, "type", void 0);
__decorate([
    (0, mongoose_1.Prop)({ type: String, required: true }),
    __metadata("design:type", String)
], Contact.prototype, "value", void 0);
__decorate([
    (0, mongoose_1.Prop)({ type: Boolean, default: false }),
    __metadata("design:type", Boolean)
], Contact.prototype, "primary", void 0);
__decorate([
    (0, mongoose_1.Prop)({ type: Boolean, default: false }),
    __metadata("design:type", Boolean)
], Contact.prototype, "verified", void 0);
exports.Contact = Contact = __decorate([
    (0, mongoose_1.Schema)({})
], Contact);
exports.ContactSchema = mongoose_1.SchemaFactory.createForClass(Contact);
//# sourceMappingURL=contact.schema.js.map