import { HydratedDocument } from 'mongoose';
import { UserVerificationLevel } from '../../enums/user-verifiation-level.enum';
import { IContact } from '../../interfaces/contact.interface';
import { IPerson } from '../../interfaces/person.interface';
import { ISessionUser } from '../../interfaces/session-user.interface';
export declare class SessionUser implements ISessionUser {
    _id: string;
    username: string;
    person: IPerson;
    contacts: IContact[];
    permissions: string[];
    verificationLevel: UserVerificationLevel;
}
export declare const SessionUserSchema: import("mongoose").Schema<SessionUser, import("mongoose").Model<SessionUser, any, any, any, import("mongoose").Document<unknown, any, SessionUser> & SessionUser & Required<{
    _id: string;
}> & {
    __v: number;
}, any>, {}, {}, {}, {}, import("mongoose").DefaultSchemaOptions, SessionUser, import("mongoose").Document<unknown, {}, import("mongoose").FlatRecord<SessionUser>> & import("mongoose").FlatRecord<SessionUser> & Required<{
    _id: string;
}> & {
    __v: number;
}>;
export type SessionUserDocument = HydratedDocument<SessionUser>;
