import { HydratedDocument } from 'mongoose';
import { ISessionUser } from '../interfaces/session-user.interface';
import { ISession } from '../interfaces/session.interface';
import { Identifable } from './identifable.schema';
export declare class Session extends Identifable implements ISession {
    token: string;
    user: ISessionUser;
    expiresAt: Date;
    userAgent: string;
}
export declare const SessionSchema: import("mongoose").Schema<Session, import("mongoose").Model<Session, any, any, any, import("mongoose").Document<unknown, any, Session> & Session & Required<{
    _id: import("mongoose").Types.ObjectId;
}> & {
    __v: number;
}, any>, {}, {}, {}, {}, import("mongoose").DefaultSchemaOptions, Session, import("mongoose").Document<unknown, {}, import("mongoose").FlatRecord<Session>> & import("mongoose").FlatRecord<Session> & Required<{
    _id: import("mongoose").Types.ObjectId;
}> & {
    __v: number;
}>;
export type SessionDocument = HydratedDocument<Session>;
