import { HttpService } from '@nestjs/axios';
import { ConfigService } from '@nestjs/config';
import { IDictionary } from '../models/interfaces/dictionary.interface';
export declare class DictionariesService {
    private readonly _httpService;
    private readonly _configService;
    private _baseUrl;
    constructor(_httpService: HttpService, _configService: ConfigService);
    fetchById(id: string): Promise<IDictionary>;
    fetchByKeyword(keyword: string): Promise<IDictionary>;
    validateIds(ids: string[]): Promise<IDictionary[]>;
}
