import { HttpService } from '@nestjs/axios';
import { ConfigService } from '@nestjs/config';
import { ISMTP } from '../models/interfaces/smtp.interface';
export declare class SMTPService {
    private readonly _httpService;
    private readonly _configService;
    private _baseUrl;
    constructor(_httpService: HttpService, _configService: ConfigService);
    send(subject: string, from: string, to: string, html: string, profileId: string): Promise<ISMTP>;
    send$(subject: string, from: string, to: string, html: string, profileId: string): import("rxjs").Observable<ISMTP>;
}
