import { WeekDay } from '../enums/week-day.enum';
import { II18n } from './i18n.interface';
import { IIdentifable } from './identifable.interface';

export interface ITime {
    inString: string;
    inNumber: number;
    zone: string;
}

export interface IGroupSession extends IIdentifable {
    description: II18n;
    day: WeekDay;
    time: ITime;
}
